# Interface ProductMeshesGroupRenderInfo`Internal`

Represents rendering information for a group of IFC product meshes. NOTE: Internal APIs. Subject to change. Use of these APIs in production applications is not supported.

interface ProductMeshesGroupRenderInfo {
parent?: ProductMeshesGroupRenderInfo;
state: DeepImmutable<MergedIfcProductMeshesRenderInfoState>;
}

#### Implemented by

- BaseProductMeshesGroupRenderInfo
- GlobalState

##### Index

### Properties

parent?
state

## Properties

### `Optional` `Readonly` parent

parent?: ProductMeshesGroupRenderInfo

Parent render info object, not set for the root object.

### `Readonly` state

state: DeepImmutable<MergedIfcProductMeshesRenderInfoState>

State of render properties for a group of IFC product meshes.